# Bond graph introduction course

Pierre Haessig, CentraleSupélec, March 2022

This short introductory course on Bond graph is part of a 36 hours course on Modelica & Bond graph (more precisely: multi-domain modeling, analysis and simulation with Modelica & Bond graph). It is an elective course at CentraleSupélec, campus of Rennes, offered in the 2nd year engineering curriculum (i.e. a Master 1 level course). Most of the course is devoted to Modelica (course material available at http://éole.net/courses/modelica/).

This archive contains the material I used to teach a short introduction to Bond graph in a few hours since 2020. The course has only been taught two times, so the material is far from complete.

## Archive structure

Folders:

* `slides`: 4 deck of slides (PDFs created in Markdown with https://marp.app/. Source available on request)
  1. The Bond graph **language** (includes a comparison with Modelica's concept of potential and flow variables)
  2. **Practice**: reading & creating bond graphs
  3. **Causality**
  4. Short practice of causality
* `exercises`: two exercises (one with solution sheet, the other one in slide deck 2)
* `illustrations`: all the illustrations used in the slides and exercises:
  * Master SVG  file `BG.svg`  created with [Inkscape](https://inkscape.org/)
  * A quite complicated Python script to export automatically the many illustrations from the master file (uses the command line interface of Inkscape)
  * `png` subfolder: all these small illustrations already exported as PNG images

